TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RandomPrime ( elt-ord^rat bl, elt-ord^rat a, elt-ord^rat b, elt-ord^rat x ) -> elt-alg^boo, elt-ord^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2
Proof | elt-alg^boo |  |

### Description

<shortdoc> true, n if a random prime n congruent to a mod b such that 0 < n < 2^bl is found in no more than x iterations, false otherwise. [bl >= 0, bl small, x small, 0 <= a < b]. </shortdoc>

### Examples

RandomPrime(7,2,3,4);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack